
TYPO3.Flow - Feature # 45264

Status: Resolved Priority: Should have
Author: Marc Neuhaus Category: Persistence
Created: 2013-02-08 Assigned To: Karsten Dambekalns
Updated: 2013-04-05 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Add Flow caching for Doctrine metadata and query caches
Description

During a little investigation i found FlowAnnotationDriver::loadMetadataForClass to produce up to 60% of execution time in Production
context.

Since this method only loads 'static' metadata (correct me if i'm wrong) this seems to be perfect to be cached.

Related issues:
related to TYPO3.Flow - Task # 47346: Configuration schema for doctrine cache... Resolved 2013-04-18

Associated revisions
Revision 5e5ebf31 - 2013-03-15 16:43 - Karsten Dambekalns

[BUGFIX] Add Flow-Doctrine cache adapter

This adds a cache adapter for Doctrine. It is used for the Doctrine ORM
metadata and query cache instead of the ArrayCache used until now.

Until now the cache implementations of Doctrine that could be configured
were not usable. This change fixes that, so that actually a cache for
metadata and query caching is used.

Change-Id: I37406667197f38f66ae778254307f09fab2b0b95
Fixes: #45264
Releases: master, 2.0

Revision 660a5458 - 2013-03-27 12:05 - Karsten Dambekalns

[BUGFIX] Add Flow-Doctrine cache adapter

This adds a cache adapter for Doctrine. It is used for the Doctrine ORM
metadata and query cache instead of the ArrayCache used until now.

Until now the cache implementations of Doctrine that could be configured
were not usable. This change fixes that, so that actually a cache for
metadata and query caching is used.

Change-Id: I37406667197f38f66ae778254307f09fab2b0b95
Fixes: #45264
Releases: master, 2.0
Revision e5933c38 - 2013-04-05 11:42 - Karsten Dambekalns

[BUGFIX] Add Flow-Doctrine cache adapter

This adds a cache adapter for Doctrine. It is used for the Doctrine ORM
metadata and query cache instead of the ArrayCache used until now.

Until now the cache implementations of Doctrine that could be configured
were not usable. This change fixes that, so that actually a cache for
metadata and query caching is used.

Change-Id: I37406667197f38f66ae778254307f09fab2b0b95
Fixes: #45264
Releases: master, 2.0

History
#1 - 2013-02-08 00:13 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18105

#2 - 2013-02-08 00:14 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18105

#3 - 2013-02-08 00:17 - Marc Neuhaus

Some first tests result in up to a solid second less execution time on a medium size project, in Dev and Production mode:

http://dl.dropbox.com/u/314491/Screenshots/i2useikmnljq.png

#4 - 2013-02-08 12:29 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18105

#5 - 2013-02-09 12:29 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18105

#6 - 2013-02-09 14:29 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.

2015-08-04 2/4

https://review.typo3.org/18105
https://review.typo3.org/18105
http://dl.dropbox.com/u/314491/Screenshots/i2useikmnljq.png
https://review.typo3.org/18105
https://review.typo3.org/18105


It is available at https://review.typo3.org/18105

#7 - 2013-03-13 17:00 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18877

#8 - 2013-03-13 20:08 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18877

#9 - 2013-03-13 20:09 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18877

#10 - 2013-03-14 11:49 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18883

#11 - 2013-03-14 12:01 - Karsten Dambekalns
- Subject changed from Add Caching to FlowAnnotationDriver::loadMetadataForClass to Add Flow caching for Doctrine metadata and query caches
- Category set to Persistence
- Assigned To set to Karsten Dambekalns
- Target version set to 2.0

The latest change (https://review.typo3.org/18883) leads to this improvement:

https://www.evernote.com/shard/s55/sh/4fec82e8-a251-4468-a85a-8d9a3873fa77/feb83bd76af50c59ab64ef2a00729641/deep/0/Screenshot%2014.0
.13%2011:57.jpg

#12 - 2013-03-14 17:08 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18883

#13 - 2013-03-15 16:46 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18883

#14 - 2013-03-15 17:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5e5ebf31970c572b49fc73f87832f351248f899f.

#15 - 2013-03-19 18:23 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19061

#16 - 2013-03-27 12:08 - Gerrit Code Review

Patch set 1 for branch composer has been pushed to the review server.
It is available at https://review.typo3.org/19356

#17 - 2013-03-27 13:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:660a54586322ff5ebdb7d38528bf3f65014e1066.

#18 - 2013-04-05 11:43 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19061

#19 - 2013-04-05 12:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:e5933c388ca151e09167f42d80938a6cc1719eed.
